Summary:	Non-linear production environment for audio and video
Name:		bcast
Version:	2000c
Release:	9mdk
License:	GPL
Group:		Video

Source:		http://heroinewarrior.com/%{name}-%{version}-src.tar.bz2
Source1:	bcast.xpm.bz2
Patch0:		bcast-2000c-noasm.patch.bz2

URL:		http://heroinewarrior.com/bcast2000.html
BuildRequires:	glib-devel libpng-devel libtiff-devel XFree86-devel
BuildRoot:	%_tmppath/%name-%version-%release-root
Provides:	libbcbase.so

%description
A full-featured video and audio production environment.

It's not about bits and bytes.  It's about transforming the impossible
into reality.  We all have impossible dreams.  Heroine Virtual gives
you the tools you need to envision your wildest dreams.

%prep

%setup -q
# All files of the source tarball are read-only
chmod -R u+w .
%ifnarch %{ix86}
%patch0 -p1
%endif

# Unfortunately, there are still binaries in the source tarball (broken "make 
# clean"). So clean up manually
for i in  '*.o' '*.a' '*.so' '*.so.*' 'core' ; do
	find . -name $i -exec rm '{}' \;
done

# Replace all hard-coded /usr/local by /usr
for i in `find . -type f -name '*' -print` ; do
	sed "s:/usr/local:/usr:" $i > $i.new ;
	chmod --reference=$i $i.new ;
	mv -f $i.new $i ;
done

# Replace all hard-coded /usr/etc (former /usr/local/etc) by /etc
for i in `find . -type f -name '*' -print` ; do 
	sed "s:/usr/etc:/etc:" $i > $i.new ;
	chmod --reference=$i $i.new ;
	mv -f $i.new $i ;
done

# Fix a missing "libmpeg3" entry in the main Makefile
sed "s/pluginpack bcast/libmpeg3 pluginpack bcast/" Makefile > Makefile.new
mv -f Makefile.new Makefile

# Remove CVS directory from "docs" dir
rm -rf docs/CVS
# Load menu icon
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/bcast.xpm

%build
%ifarch %{ix86}
# The flags are necessary, do not remove them!
export CFLAGS="-I. -I.. -I../.. ${CFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"
export CXXFLAGS="-I. -I.. -I../.. ${CXXFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"
%configure --no-css
%endif
%ifnarch %{ix86}
export CFLAGS="-I. -I.. -I../.. ${CFLAGS:-%optflags}"
export CXXFLAGS="-I. -I.. -I../.. ${CXXFLAGS:-%optflags}"
%configure --no-mmx --no-css
%endif

%make

%install
	mkdir -p $RPM_BUILD_ROOT/usr/%{name}/plugins
	mkdir -p $RPM_BUILD_ROOT%{_bindir}
	cp %{name}/bcast2000 $RPM_BUILD_ROOT/usr/%{name}
	cp bcbase/libbcbase.so $RPM_BUILD_ROOT/usr/%{name}
	cp guicast/libguicast.so $RPM_BUILD_ROOT/usr/%{name}
	strip plugins/*.plugin
	cp plugins/*.plugin $RPM_BUILD_ROOT/usr/%{name}/plugins
	cp bcast2000.sh $RPM_BUILD_ROOT/usr/%{name}
	cp record_script $RPM_BUILD_ROOT/usr/%{name}
	ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/usr/%{name}/docs
	( cd $RPM_BUILD_ROOT%{_bindir}
	  ln -sf ../%{name}/bcast2000.sh %{name}
	)

# install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 bcast.xpm $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/bcast
?package(bcast): needs=X11 \
section=Multimedia/Video \
title="Broadcast 2000" \
longtitle="Broadcast 2000 - Non-linear production environment for audio and video" \
command="bcast" \
icon="video_section.png"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/%{name}
/usr/%{name}
%{_iconsdir}/locolor/16x16/apps/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Fri Jan 11 2002 David BAUDENS <baudens@mandrakesoft.com> 2000c-9mdk
- Fix menu entry

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2000c-8mdk
- Use standard video_section.png icon in menu

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2000c-7mdk
- for non-x86 arches, apply patch0: try harder to disable MMX

* Fri Oct 12 2001 Till Kamppeter <till@mandrakesoft.com> 2000c-6mdk
- Rebuilt for libpng3

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2000c-5mdk
- BuildRequires:	glib-devel libpng-devel libtiff-devel XFree86-devel
- Copyright --> License

* Sun Jul 15 2001 Till Kamppeter <till@mandrakesoft.com> 2000c-4mdk
- Rebuild

* Sat Feb 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2000c-3mdk
- Remove ExcludeArch: ppc
- Fix non-x86 build

* Thu Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2000c-2mdk
- ExcludeArch: ppc

* Wed Jan 24 2001 Till Kamppeter <till@mandrakesoft.com> 2000c-1mdk
- New version again

* Mon Jan 01 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2000b-1mdk
- new & shiny version

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2000a-3mdk
- fix tmppath
- use %%{_iconsdir} and the like
- remove ownership on %%{_menudir} and the like

* Wed Sep 06 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 2000a-2mdk
- Corrected "Group:" entry in specfile

* Thu Aug 31 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 2000a-1mdk
- "Mandrakized" the original RPM provided by the authors
- initial release
